Package com.collibra.dgc.core.api.model.meta.type

# Interface AssetType

All Superinterfaces:
  `Entity`, `NamedDescribedResource`, `NamedResource`, `Resource`, `Serializable`

public interface AssetType extends NamedDescribedResource
Represents the type of an asset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AppliedTrait>`
  `getAppliedTraits()`
  Returns the list of traits as they have been applied to the asset type.
  `NamedResourceReference`
  `getParent()`
  Returns the parent of this asset type.
  `String`
  `getProduct()`
  Returns the product to which this asset type is linked.
  `String`
  `getPublicId()`
  Returns the public id of the asset type.
  `SymbolData`
  `getSymbolData()`
  Returns the symbol data.
  `boolean`
  `isDisplayNameEnabled()`
  Returns whether display name should be enabled for all assets of this type.
  `boolean`
  `isFinalType()`
  Returns whether the ability to create child asset types and scoped assignments for this asset type is locked.
  `boolean`
  `isLockStatuses()`
  Returns whether the ability to add custom statuses to the assignments of this asset type is locked.
  `boolean`
  `isRatingEnabled()`
  Returns information if rating is enabled for asset type.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface NamedDescribedResource

  `getDescription`

  ### Methods inherited from interface NamedResource

  `getName`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getPublicId

    String getPublicId()
    Returns the public id of the asset type.
    Returns:
      the public id

  - ### isDisplayNameEnabled

    boolean isDisplayNameEnabled()
    Returns whether display name should be enabled for all assets of this type.
    Returns:
      whether display name should be enabled for all assets of this type

  - ### getParent

    NamedResourceReference getParent()
    Returns the parent of this asset type.
    Returns:
      the parent of this asset type

  - ### getSymbolData

    SymbolData getSymbolData()
    Returns the symbol data.
    Returns:
      the symbol data

  - ### isRatingEnabled

    boolean isRatingEnabled()
    Returns information if rating is enabled for asset type.
    Returns:
      true if rating is enabled for asset type

  - ### isFinalType

    boolean isFinalType()
    Returns whether the ability to create child asset types and scoped assignments for this asset type is locked.
    Returns:
      true if the asset type is final.

  - ### isLockStatuses

    boolean isLockStatuses()
    Returns whether the ability to add custom statuses to the assignments of this asset type is locked.
    Returns:
      true if the statuses of the asset type are locked.

  - ### getProduct

    String getProduct()
    Returns the product to which this asset type is linked.
    Returns:
      the product

  - ### getAppliedTraits

    List<AppliedTrait> getAppliedTraits()
    Returns the list of traits as they have been applied to the asset type.
    Returns:
      the list of the applied traits